Subject: Re: How to creat a .config file for a driver and How to use it in adevice driver?????

From: Sean MacLennan <[email-masked]>
Date: Wed, 02 Jan 2008 12:47:28 -0500

Misbah khan wrote:
> Hi all ...
>
> i am writing a device driver in which the default configuration for LCD
> display i need to keep it in a .config file so that as the system boots it
> take the value from this file and does the initial configuration in the init
> of the driver. If user changes the .config file content in the next boot the
> LCD driver should take the new default configuration 
>
> There will also be a run time config which could be changed at the rum time
> but will not change the default configuration.
>
>
> i am writing a LCD driver for PPC arch i need to know that how should i
> creat a .config file and How should i use it my device driver. ??????
>
> If you had an exprience in this regard please do share with me ...
>
> ----Misbah <><
>   
You don't. The safe way is to have sane defaults in the driver. Then 
write a user mode app that reads the config file and configures the 
driver properly, probably through ioctls.

Cheers,
    Sean